classification
Title: test fixes for immutable bytes change
Type: Stage:
Components: Interpreter Core, Library (Lib) Versions: Python 3.0
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: gvanrossum, hupp, jyasskin
Priority: normal Keywords: patch

Created on 2007-09-20 22:38 by hupp, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
immutable-bytes-test-fix.patch hupp, 2007-09-20 22:38
messy_immutable_bytes.patch jyasskin, 2007-09-25 05:59
Messages (4)
msg56066 - (view) Author: Adam Hupp (hupp) Date: 2007-09-20 22:38
This patch resolves most of the test failures introduced by Jeffrey
Yasskin's immutable bytes change.

The remaining failures are:

test_io
test_mailbox
test_mhlib
test_old_mailbox
test_email  
test_univnewlines

The first 4 are the same problem.  An array('B') is passed to
PyArg_ParseTuple("t#...").  This results in "TypeError: Cannot be a
character buffer" from ascii_decode in _codecsmodule.c.


Note: This patch is also includes Jeffrey's original changes.
msg56127 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2007-09-25 05:59
The attached patch (mostly based on hupp's test fixes) passes all of the
tests on my machine. The issue with ParseTuple is described in
http://bugs.python.org/issue1200. I intend to clean the patch up some,
but this is enough to see what the issues tend to be.
msg56128 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2007-09-25 06:05
To be precise, this change makes bytes immutable but does not give it a
__hash__ method or change the values its iterator returns.
msg57075 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-02 22:58
This has been superseded by PEP 3137 and the work I've done in the
py3k-pep3137 branch.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 3.0
2007-11-02 22:58:50gvanrossumsetstatus: open -> closed
resolution: out of date
messages: + msg57075
2007-11-02 22:21:08georg.brandlsetassignee: gvanrossum
nosy: + gvanrossum
2007-09-25 06:05:05jyasskinsetmessages: + msg56128
2007-09-25 05:59:18jyasskinsetfiles: + messy_immutable_bytes.patch
nosy: + jyasskin
messages: + msg56127
2007-09-21 02:19:32jafosetpriority: normal
keywords: + py3k, patch
2007-09-20 22:38:04huppcreate